curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/validate' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": "string",
"ok": true,
"message": "Two-person tent, green — replacement for damaged pole set."
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": [
{
"id": null,
"title": null,
"status": null,
"required": null,
"summary": null,
"details": null,
"action_label": null,
"suggested_tab": null
}
]
}
}
Validate brand
Validation report for the brand’s current configuration.
POST
/
v1
/
brands
/
{brand_id}
/
validate
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/validate' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": "string",
"ok": true,
"message": "Two-person tent, green — replacement for damaged pole set."
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": [
{
"id": null,
"title": null,
"status": null,
"required": null,
"summary": null,
"details": null,
"action_label": null,
"suggested_tab": null
}
]
}
}
Path parameters
string (uuid)
required
Request body
JSON body of typeGenericObject.
Response
object
boolean
required
string[]
required
string[]
required
object
Status codes
| Code | Meaning |
|---|---|
200 | Validation report for the brand’s current configuration. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/validate' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"valid": true,
"errors": [
"string"
],
"warnings": [
"string"
],
"checks": [
{
"code": "string",
"ok": true,
"message": "Two-person tent, green — replacement for damaged pole set."
}
],
"readiness": {
"activation_ready": true,
"self_service_ready": true,
"summary": "Two-person tent, green — replacement for damaged pole set.",
"steps": [
{
"id": null,
"title": null,
"status": null,
"required": null,
"summary": null,
"details": null,
"action_label": null,
"suggested_tab": null
}
]
}
}
Last modified on August 31, 2026